import { createRouter, createWebHashHistory } from 'vue-router'
import CenterPage from 'views/CenterPage.vue'

const routes = [
    {
        path: '/',
        name: 'CenterPage',
        component: CenterPage
    },
    {
        path: '/AllMatrices',
        name: 'AllMatrices',
        component: () => import('components/allMatricesNoDia.vue')
    },
    {
        path: '/TemperatureMatrix',
        name: 'TemperatureMatrix',
        component: () => import('components/temperatureMatrixNoDia.vue')
    },
    {
        path: '/agcDetail',
        name: 'agcDetail',
        component: () => import('components/agcDetail/index.vue')
    },
    {
        path: '/SYZDetails',
        name: 'SYZDetails',
        component: () => import('components/focus/syzDetailsNoDia.vue')
    },
    {
        path: '/ManualPage',
        name: 'ManualPage',
        component: () => import('views/ManualPage.vue')
    }
]

const router = createRouter({
    history: createWebHashHistory(),
    routes
})

export default router
